curl --request GET \
--url https://api.example.com/v1/data/schema \
--header 'Authorization: Bearer <token>'{
"code": 200,
"data": {
"schema": {
"fields": [
{
"data_type": "LargeUtf8",
"dict_id": 0,
"dict_is_ordered": false,
"metadata": {},
"name": "id",
"nullable": false
},
{
"data_type": "LargeUtf8",
"dict_id": 0,
"dict_is_ordered": false,
"metadata": {},
"name": "metadata",
"nullable": false
},
{
"data_type": "LargeUtf8",
"dict_id": 0,
"dict_is_ordered": false,
"metadata": {},
"name": "text",
"nullable": false
},
{
"data_type": {
"FixedSizeList": [
{
"data_type": "Float32",
"dict_id": 0,
"dict_is_ordered": false,
"metadata": {},
"name": "item",
"nullable": true
},
1024
]
},
"dict_id": 0,
"dict_is_ordered": false,
"metadata": {},
"name": "embedding",
"nullable": false
}
],
"metadata": {
"active_set_size_limit": "50000",
"index_info": "[{\"column_id\":\"3\",\"index_type\":\"hnsw\",\"parameters\":{\"M\":\"16\",\"ef_construction\":\"128\",\"space\":\"ipspace\"}}]",
"table name": "my_table1"
}
},
"table_name": "my_table1"
},
"exception": null,
"success": true
}Get table schema of the table. The response format is Apache Arrow schema format.
curl --request GET \
--url https://api.example.com/v1/data/schema \
--header 'Authorization: Bearer <token>'{
"code": 200,
"data": {
"schema": {
"fields": [
{
"data_type": "LargeUtf8",
"dict_id": 0,
"dict_is_ordered": false,
"metadata": {},
"name": "id",
"nullable": false
},
{
"data_type": "LargeUtf8",
"dict_id": 0,
"dict_is_ordered": false,
"metadata": {},
"name": "metadata",
"nullable": false
},
{
"data_type": "LargeUtf8",
"dict_id": 0,
"dict_is_ordered": false,
"metadata": {},
"name": "text",
"nullable": false
},
{
"data_type": {
"FixedSizeList": [
{
"data_type": "Float32",
"dict_id": 0,
"dict_is_ordered": false,
"metadata": {},
"name": "item",
"nullable": true
},
1024
]
},
"dict_id": 0,
"dict_is_ordered": false,
"metadata": {},
"name": "embedding",
"nullable": false
}
],
"metadata": {
"active_set_size_limit": "50000",
"index_info": "[{\"column_id\":\"3\",\"index_type\":\"hnsw\",\"parameters\":{\"M\":\"16\",\"ef_construction\":\"128\",\"space\":\"ipspace\"}}]",
"table name": "my_table1"
}
},
"table_name": "my_table1"
},
"exception": null,
"success": true
}Bearer token authentication. Include the token in the Authorization header as 'Bearer